/*

/*
 * 1) need to confirm the use of Pause and resume Navigation
 * 2) try version without having to reset navigation: pass
 * 3) set up dist as global variable so no need to pass to function Forward

*/

#include "RingoHardware.h"
int dist = 170;

void setup() {
  HardwareBegin();        //initialize Ringo's brain to work with his circuitry
  PlayStartChirp();       //Play startup chirp and blink eyes
  SwitchMotorsToSerial(); //Call "SwitchMotorsToSerial()" before using Serial.print functions as motors & serial share a line
  RestartTimer();
  NavigationBegin();
  CalibrateNavigationSensors();
}



void loop() {

  for (int x = 1; x < 2; x++) {
    Forward();
  }
  Right();
  for (int x = 1; x < 2; x++) {
    Forward();
  }
  Left();
  for (int x = 1; x < 2; x++) {
    Forward();
  }
  Right();
  for (int x = 1; x < 2; x++) {
    Forward();
  }
  for (;;) // infinite loop to stop movement
    ;

}


//=======  functions go here ========
void Forward( ) {
  SetPixelRGB(3, 0, 0, 150);
  MoveWithOptions(PresentHeading(), dist, 200, 3000, 100, 0, 0); //direction, distance, speed,MaxRun,MaxSkid,edge,wiggle
  delay(200);
  OffPixels();
  ZeroNavigation();
 
}
//  -------------------------
void Right() {
  SetPixelRGB(4, 0, 150, 0);
  RotateAccurate(90, 3000); //exact rotation
  delay(500);
  OffPixels();
  ZeroNavigation();


}
void Left() {
  SetPixelRGB(4, 150, 0, 0);
  RotateAccurate(-90, 3000); //exact rotation
  delay(500);
  OffPixels();
  ZeroNavigation();

}


